# XQilla DOM3 API Documentation

# xercesc::DOMProcessingInstruction Class Reference

The `DOMProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document. More...

`#include <DOMProcessingInstruction.hpp>`

Inheritance diagram for xercesc::DOMProcessingInstruction:
[legend]

List of all members.

## Public Member Functions

Destructor
virtual | ~DOMProcessingInstruction ()
| Destructor.
Functions introduced in DOM Level 1
virtual const XMLCh * | getTarget () const =0
| The target of this processing instruction.
virtual const XMLCh * | getData () const =0
| The content of this processing instruction.
virtual void | setData (const XMLCh *data)=0
| Sets the content of this processing instruction.

## Protected Member Functions

Hidden constructors
| DOMProcessingInstruction ()
| DOMProcessingInstruction (const DOMProcessingInstruction &other)

## Detailed Description

The `DOMProcessingInstruction` interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

xercesc::DOMProcessingInstruction::DOMProcessingInstruction | ( |  | ) | `[inline, protected]`

xercesc::DOMProcessingInstruction::DOMProcessingInstruction | ( | const DOMProcessingInstruction & | other | ) | `[inline, protected]`

virtual xercesc::DOMProcessingInstruction::~DOMProcessingInstruction | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual const XMLCh* xercesc::DOMProcessingInstruction::getData | ( |  | ) | const`[pure virtual]`

The content of this processing instruction.

This is from the first non white space character after the target to the character immediately preceding the `?>`.

Exceptions:

  | DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

Since:
  DOM Level 1

virtual const XMLCh* xercesc::DOMProcessingInstruction::getTarget | ( |  | ) | const`[pure virtual]`

The target of this processing instruction.

XML defines this as being the first token following the markup that begins the processing instruction.

Since:
  DOM Level 1

virtual void xercesc::DOMProcessingInstruction::setData | ( | const XMLCh * | data | ) | `[pure virtual]`

Sets the content of this processing instruction.

This is from the first non white space character after the target to the character immediately preceding the `?>`.

Parameters:

  | data | The string containing the processing instruction

Since:
  DOM Level 1

The documentation for this class was generated from the following file:

- DOMProcessingInstruction.hpp